Skip to Content
API ReferenceReference data

Reference data

List HS codes

GET /i/v1/invoices/hsn-codes

Who can call it: API key or signed-in user.

Parameters

NameInTypeRequiredDescription
searchquerystringNoCase-insensitive text in the code, description or category. At most 100 characters.
categoryquerystringNoExact category name (case-insensitive). At most 100 characters.
pagequerynumberNoDefault: 1. At least 1.
limitquerynumberNoDefault: 20. Between 1 and 100.

Example request

bash
curl https://gp.useyona.com/i/v1/invoices/hsn-codes \
  -H "Authorization: Bearer sk_test_your_key_here"

Responses

Errors: 400, 403, 422


List HS code categories

GET /i/v1/invoices/hsn-codes/categories

Who can call it: API key or signed-in user.

Example request

bash
curl https://gp.useyona.com/i/v1/invoices/hsn-codes/categories \
  -H "Authorization: Bearer sk_test_your_key_here"

Responses

The HS code categories, sorted.

Errors: 403, 422


List code lists

GET /i/v1/invoices/resources

Who can call it: API key or signed-in user.

Example request

bash
curl https://gp.useyona.com/i/v1/invoices/resources \
  -H "Authorization: Bearer sk_test_your_key_here"

Responses

Errors: 403, 422


Get a code list

GET /i/v1/invoices/resources/{type}

Who can call it: API key or signed-in user.

Parameters

NameInTypeRequiredDescription
typepathstringYes

Example request

bash
curl https://gp.useyona.com/i/v1/invoices/resources/tax-categories \
  -H "Authorization: Bearer sk_test_your_key_here"

Responses

Errors: 400, 403, 404, 422


Look up a tax ID

GET /i/v1/invoices/lookup/tax-id/{value}

Who can call it: API key or signed-in user.

Parameters

NameInTypeRequiredDescription
valuepathstringYesAt most 64 characters.
typequerystringNoOne of tin | rn | foreign. Default: tin.
Idempotency-KeyheaderstringNo8–128 of [A-Za-z0-9_-].

Example request

bash
curl https://gp.useyona.com/i/v1/invoices/lookup/tax-id/33875194-0001 \
  -H "Authorization: Bearer sk_test_your_key_here"

Responses

Errors: 400, 402, 403, 409, 422, 503